> ## Documentation Index
> Fetch the complete documentation index at: https://docs-vnext.kiflo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List onboarding pipelines



## OpenAPI

````yaml /openapi.json get /v3/onboarding/pipelines
openapi: 3.0.1
info:
  title: Kiflo Public API v3
  description: "The Kiflo API allows you to have control over your integration and create the best experiences.\r\n\r\n***\r\n\r\n## Format\r\n\r\nThe API follows the REST standard using JSON to format requests and responses.  \r\nDecimals are formatted using invariant culture, ie: using \".\" (dot) as a decimal sperator and no thousands separator.  \r\nDates are formatted using ISO standards, in UTC format, including the timezone. Ex:  2015-03-25T12:00:00Z\r\n\r\n***\r\n\r\n## Security\r\n\r\nThe API is secured using an API token.\r\n\r\n**How to generate an API Access Token**  \r\n 1. Open your [account settings page](https://app.kiflo.com/account/integration)\r\n 2. Go to the \"API Access Token\" section\r\n 3. Click \"Add\" button\r\n 4. Choose a name that will be used to identify the token and click \"Add\"\r\n 4. Copy the generate token\r\n   \r\n> **Note:** For security reason, the generated API Access Token won't be visible after you close the settings page. Be sure to copy the generated token otherwise you won't be able to get it later.\r\n  \r\n**How to authenticate on the API**  \r\n  \r\nTo authenticate on the API, send the generated token in the Authorization header using the Bearer scheme:  \r\n`Authorization: Bearer #YOUR_GENERATED_TOKEN_HERE#`\r\n"
  version: v3
servers: []
security: []
paths:
  /v3/onboarding/pipelines:
    get:
      tags:
        - Onboarding
      summary: List onboarding pipelines
      parameters:
        - name: partner_id
          in: query
          description: Only return onboarding pipelines available for the given partner ID.
          schema:
            type: integer
            format: int32
        - name: offset
          in: query
          description: >-
            The cursor used in pagination. This is the index of the first
            onboarding pipeline to be returned.
          schema:
            type: integer
            format: int32
        - name: limit
          in: query
          description: >-
            The maximum number of onboarding pipelines to be returned. The
            default is 20.
          schema:
            type: integer
            format: int32
        - name: sort_by
          in: query
          description: >-
            The property used to sort the onboarding pipelines by. The default
            is Name.
          schema:
            type: string
            example: Name
          example: Name
        - name: order_by
          in: query
          description: >-
            The sorting direction for the returned onboarding pipelines.
            Accepted values: ASC, DESC. The default is DESC.
          schema:
            type: string
        - name: propertyFilters
          in: query
          schema:
            type: object
            additionalProperties:
              nullable: true
      responses:
        '200':
          description: Onboarding pipelines returned
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/OnboardingPipelineListResponseDto'
      security:
        - oauth2:
            - Api
components:
  schemas:
    OnboardingPipelineListResponseDto:
      type: object
      properties:
        items:
          type: array
          items:
            $ref: '#/components/schemas/OnboardingPipelineDto'
          nullable: true
        paginationSkipCount:
          type: integer
          format: int32
        totalCount:
          type: integer
          description: >-
            Gets or sets the total number of items that could be returned by
            this command (without pagination).
          format: int32
      additionalProperties: false
    OnboardingPipelineDto:
      type: object
      properties:
        id:
          type: integer
          format: int32
        name:
          type: string
          nullable: true
        isVisibleToPartners:
          type: boolean
      additionalProperties: false

````